[llvm] r220667 - Revert "Include stddef.h before including cxxabi.h" to un-break buildbot
Rui Ueyama
ruiu at google.com
Mon Oct 27 03:43:28 PDT 2014
The error was
http://lab.llvm.org:8011/builders/llvm-clang-lld-x86_64-debian-fast/builds/19211.
I already fixed that and re-committed. The cause of the issue is that C++
code given to check_cxx_source_compile didn't have main function.
On Mon Oct 27 2014 at 3:35:05 AM Rafael EspĂndola <
rafael.espindola at gmail.com> wrote:
> What was the error?
>
> On 27 October 2014 04:03, Rui Ueyama <ruiu at google.com> wrote:
> > Author: ruiu
> > Date: Mon Oct 27 03:03:21 2014
> > New Revision: 220667
> >
> > URL: http://llvm.org/viewvc/llvm-project?rev=220667&view=rev
> > Log:
> > Revert "Include stddef.h before including cxxabi.h" to un-break buildbot
> >
> > This reverts commit r220665.
> >
> >
> > Modified:
> > llvm/trunk/autoconf/configure.ac
> > llvm/trunk/cmake/config-ix.cmake
> > llvm/trunk/configure
> >
> > Modified: llvm/trunk/autoconf/configure.ac
> > URL: http://llvm.org/viewvc/llvm-project/llvm/trunk/autoconf/
> configure.ac?rev=220667&r1=220666&r2=220667&view=diff
> > ============================================================
> ==================
> > --- llvm/trunk/autoconf/configure.ac (original)
> > +++ llvm/trunk/autoconf/configure.ac Mon Oct 27 03:03:21 2014
> > @@ -1592,12 +1592,8 @@ AC_HEADER_SYS_WAIT
> > AC_HEADER_TIME
> >
> > AC_LANG_PUSH([C++])
> > -dnl size_t must be defined before including cxxabi.h on FreeBSD 10.0.
> > -AC_CHECK_HEADERS([cxxabi.h], [], [],
> > -[#include <stddef.h>
> > -])
> > +AC_CHECK_HEADERS([cxxabi.h])
> > AC_LANG_POP([C++])
> > -
> > AC_CHECK_HEADERS([dlfcn.h execinfo.h fcntl.h inttypes.h link.h])
> > AC_CHECK_HEADERS([malloc.h setjmp.h signal.h stdint.h termios.h
> unistd.h])
> > AC_CHECK_HEADERS([utime.h])
> >
> > Modified: llvm/trunk/cmake/config-ix.cmake
> > URL: http://llvm.org/viewvc/llvm-project/llvm/trunk/cmake/
> config-ix.cmake?rev=220667&r1=220666&r2=220667&view=diff
> > ============================================================
> ==================
> > --- llvm/trunk/cmake/config-ix.cmake (original)
> > +++ llvm/trunk/cmake/config-ix.cmake Mon Oct 27 03:03:21 2014
> > @@ -42,6 +42,7 @@ function(check_type_exists type files va
> > endfunction()
> >
> > # include checks
> > +check_include_file_cxx(cxxabi.h HAVE_CXXABI_H)
> > check_include_file(dirent.h HAVE_DIRENT_H)
> > check_include_file(dlfcn.h HAVE_DLFCN_H)
> > check_include_file(errno.h HAVE_ERRNO_H)
> > @@ -80,12 +81,6 @@ check_symbol_exists(FE_INEXACT "fenv.h"
> > check_include_file(mach/mach.h HAVE_MACH_MACH_H)
> > check_include_file(mach-o/dyld.h HAVE_MACH_O_DYLD_H)
> >
> > -# size_t must be defined before including cxxabi.h on FreeBSD 10.0.
> > -check_cxx_source_compiles("
> > -#include <stddef.h>
> > -#include <cxxabi.h>
> > -" HAVE_CXXABI_H)
> > -
> > # library checks
> > if( NOT PURE_WINDOWS )
> > check_library_exists(pthread pthread_create "" HAVE_LIBPTHREAD)
> >
> > Modified: llvm/trunk/configure
> > URL: http://llvm.org/viewvc/llvm-project/llvm/trunk/configure?
> rev=220667&r1=220666&r2=220667&view=diff
> > ============================================================
> ==================
> > --- llvm/trunk/configure (original)
> > +++ llvm/trunk/configure Mon Oct 27 03:03:21 2014
> > @@ -773,6 +773,7 @@ USE_INTEL_JITEVENTS
> > XML2CONFIG
> > LIBXML2_LIBS
> > LIBXML2_INC
> > +CXXCPP
> > HAVE_PTHREAD
> > HAVE_LIBZ
> > HUGE_VAL_SANITY
> > @@ -806,7 +807,8 @@ CPPFLAGS
> > CXX
> > CXXFLAGS
> > CCC
> > -CPP'
> > +CPP
> > +CXXCPP'
> > ac_subdirs_all='projects/test-suite
> > projects/llvm-test
> > projects/poolalloc
> > @@ -1485,6 +1487,7 @@ Some influential environment variables:
> > CXX C++ compiler command
> > CXXFLAGS C++ compiler flags
> > CPP C preprocessor
> > + CXXCPP C++ preprocessor
> >
> > Use these variables to override the choices made by `configure' or to
> help
> > it to find libraries and programs with nonstandard names/locations.
> > @@ -10950,24 +10953,285 @@ ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS
> > ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS
> conftest.$ac_ext $LIBS >&5'
> > ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
> >
> > +ac_ext=cpp
> > +ac_cpp='$CXXCPP $CPPFLAGS'
> > +ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
> > +ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS
> conftest.$ac_ext $LIBS >&5'
> > +ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
> > +{ echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
> > +echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6;
> }
> > +if test -z "$CXXCPP"; then
> > + if test "${ac_cv_prog_CXXCPP+set}" = set; then
> > + echo $ECHO_N "(cached) $ECHO_C" >&6
> > +else
> > + # Double quotes because CXXCPP needs to be expanded
> > + for CXXCPP in "$CXX -E" "/lib/cpp"
> > + do
> > + ac_preproc_ok=false
> > +for ac_cxx_preproc_warn_flag in '' yes
> > +do
> > + # Use a header file that comes with gcc, so configuring glibc
> > + # with a fresh cross-compiler works.
> > + # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
> > + # <limits.h> exists even on freestanding compilers.
> > + # On the NeXT, cc -E runs the code through the compiler's parser,
> > + # not just through cpp. "Syntax error" is here to catch this case.
> > + cat >conftest.$ac_ext <<_ACEOF
> > +/* confdefs.h. */
> > +_ACEOF
> > +cat confdefs.h >>conftest.$ac_ext
> > +cat >>conftest.$ac_ext <<_ACEOF
> > +/* end confdefs.h. */
> > +#ifdef __STDC__
> > +# include <limits.h>
> > +#else
> > +# include <assert.h>
> > +#endif
> > + Syntax error
> > +_ACEOF
> > +if { (ac_try="$ac_cpp conftest.$ac_ext"
> > +case "(($ac_try" in
> > + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> > + *) ac_try_echo=$ac_try;;
> > +esac
> > +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> > + (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
> > + ac_status=$?
> > + grep -v '^ *+' conftest.er1 >conftest.err
> > + rm -f conftest.er1
> > + cat conftest.err >&5
> > + echo "$as_me:$LINENO: \$? = $ac_status" >&5
> > + (exit $ac_status); } >/dev/null; then
> > + if test -s conftest.err; then
> > + ac_cpp_err=$ac_cxx_preproc_warn_flag
> > + ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
> > + else
> > + ac_cpp_err=
> > + fi
> > +else
> > + ac_cpp_err=yes
> > +fi
> > +if test -z "$ac_cpp_err"; then
> > + :
> > +else
> > + echo "$as_me: failed program was:" >&5
> > +sed 's/^/| /' conftest.$ac_ext >&5
> > +
> > + # Broken: fails on valid input.
> > +continue
> > +fi
> > +
> > +rm -f conftest.err conftest.$ac_ext
> > +
> > + # OK, works on sane cases. Now check whether nonexistent headers
> > + # can be detected and how.
> > + cat >conftest.$ac_ext <<_ACEOF
> > +/* confdefs.h. */
> > +_ACEOF
> > +cat confdefs.h >>conftest.$ac_ext
> > +cat >>conftest.$ac_ext <<_ACEOF
> > +/* end confdefs.h. */
> > +#include <ac_nonexistent.h>
> > +_ACEOF
> > +if { (ac_try="$ac_cpp conftest.$ac_ext"
> > +case "(($ac_try" in
> > + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> > + *) ac_try_echo=$ac_try;;
> > +esac
> > +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> > + (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
> > + ac_status=$?
> > + grep -v '^ *+' conftest.er1 >conftest.err
> > + rm -f conftest.er1
> > + cat conftest.err >&5
> > + echo "$as_me:$LINENO: \$? = $ac_status" >&5
> > + (exit $ac_status); } >/dev/null; then
> > + if test -s conftest.err; then
> > + ac_cpp_err=$ac_cxx_preproc_warn_flag
> > + ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
> > + else
> > + ac_cpp_err=
> > + fi
> > +else
> > + ac_cpp_err=yes
> > +fi
> > +if test -z "$ac_cpp_err"; then
> > + # Broken: success on invalid input.
> > +continue
> > +else
> > + echo "$as_me: failed program was:" >&5
> > +sed 's/^/| /' conftest.$ac_ext >&5
> > +
> > + # Passes both tests.
> > +ac_preproc_ok=:
> > +break
> > +fi
> > +
> > +rm -f conftest.err conftest.$ac_ext
> > +
> > +done
> > +# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
> > +rm -f conftest.err conftest.$ac_ext
> > +if $ac_preproc_ok; then
> > + break
> > +fi
> > +
> > + done
> > + ac_cv_prog_CXXCPP=$CXXCPP
> > +
> > +fi
> > + CXXCPP=$ac_cv_prog_CXXCPP
> > +else
> > + ac_cv_prog_CXXCPP=$CXXCPP
> > +fi
> > +{ echo "$as_me:$LINENO: result: $CXXCPP" >&5
> > +echo "${ECHO_T}$CXXCPP" >&6; }
> > +ac_preproc_ok=false
> > +for ac_cxx_preproc_warn_flag in '' yes
> > +do
> > + # Use a header file that comes with gcc, so configuring glibc
> > + # with a fresh cross-compiler works.
> > + # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
> > + # <limits.h> exists even on freestanding compilers.
> > + # On the NeXT, cc -E runs the code through the compiler's parser,
> > + # not just through cpp. "Syntax error" is here to catch this case.
> > + cat >conftest.$ac_ext <<_ACEOF
> > +/* confdefs.h. */
> > +_ACEOF
> > +cat confdefs.h >>conftest.$ac_ext
> > +cat >>conftest.$ac_ext <<_ACEOF
> > +/* end confdefs.h. */
> > +#ifdef __STDC__
> > +# include <limits.h>
> > +#else
> > +# include <assert.h>
> > +#endif
> > + Syntax error
> > +_ACEOF
> > +if { (ac_try="$ac_cpp conftest.$ac_ext"
> > +case "(($ac_try" in
> > + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> > + *) ac_try_echo=$ac_try;;
> > +esac
> > +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> > + (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
> > + ac_status=$?
> > + grep -v '^ *+' conftest.er1 >conftest.err
> > + rm -f conftest.er1
> > + cat conftest.err >&5
> > + echo "$as_me:$LINENO: \$? = $ac_status" >&5
> > + (exit $ac_status); } >/dev/null; then
> > + if test -s conftest.err; then
> > + ac_cpp_err=$ac_cxx_preproc_warn_flag
> > + ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
> > + else
> > + ac_cpp_err=
> > + fi
> > +else
> > + ac_cpp_err=yes
> > +fi
> > +if test -z "$ac_cpp_err"; then
> > + :
> > +else
> > + echo "$as_me: failed program was:" >&5
> > +sed 's/^/| /' conftest.$ac_ext >&5
> > +
> > + # Broken: fails on valid input.
> > +continue
> > +fi
> > +
> > +rm -f conftest.err conftest.$ac_ext
> > +
> > + # OK, works on sane cases. Now check whether nonexistent headers
> > + # can be detected and how.
> > + cat >conftest.$ac_ext <<_ACEOF
> > +/* confdefs.h. */
> > +_ACEOF
> > +cat confdefs.h >>conftest.$ac_ext
> > +cat >>conftest.$ac_ext <<_ACEOF
> > +/* end confdefs.h. */
> > +#include <ac_nonexistent.h>
> > +_ACEOF
> > +if { (ac_try="$ac_cpp conftest.$ac_ext"
> > +case "(($ac_try" in
> > + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> > + *) ac_try_echo=$ac_try;;
> > +esac
> > +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> > + (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
> > + ac_status=$?
> > + grep -v '^ *+' conftest.er1 >conftest.err
> > + rm -f conftest.er1
> > + cat conftest.err >&5
> > + echo "$as_me:$LINENO: \$? = $ac_status" >&5
> > + (exit $ac_status); } >/dev/null; then
> > + if test -s conftest.err; then
> > + ac_cpp_err=$ac_cxx_preproc_warn_flag
> > + ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
> > + else
> > + ac_cpp_err=
> > + fi
> > +else
> > + ac_cpp_err=yes
> > +fi
> > +if test -z "$ac_cpp_err"; then
> > + # Broken: success on invalid input.
> > +continue
> > +else
> > + echo "$as_me: failed program was:" >&5
> > +sed 's/^/| /' conftest.$ac_ext >&5
> > +
> > + # Passes both tests.
> > +ac_preproc_ok=:
> > +break
> > +fi
> > +
> > +rm -f conftest.err conftest.$ac_ext
> > +
> > +done
> > +# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
> > +rm -f conftest.err conftest.$ac_ext
> > +if $ac_preproc_ok; then
> > + :
> > +else
> > + { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails
> sanity check
> > +See \`config.log' for more details." >&5
> > +echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
> > +See \`config.log' for more details." >&2;}
> > + { (exit 1); exit 1; }; }
> > +fi
> > +
> > +ac_ext=cpp
> > +ac_cpp='$CXXCPP $CPPFLAGS'
> > +ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
> > +ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS
> conftest.$ac_ext $LIBS >&5'
> > +ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
> > +
> > +
> >
> > for ac_header in cxxabi.h
> > do
> > as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
> > -{ echo "$as_me:$LINENO: checking for $ac_header" >&5
> > +if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; };
> then
> > + { echo "$as_me:$LINENO: checking for $ac_header" >&5
> > echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
> > if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; };
> then
> > echo $ECHO_N "(cached) $ECHO_C" >&6
> > +fi
> > +ac_res=`eval echo '${'$as_ac_Header'}'`
> > + { echo "$as_me:$LINENO: result: $ac_res" >&5
> > +echo "${ECHO_T}$ac_res" >&6; }
> > else
> > - cat >conftest.$ac_ext <<_ACEOF
> > + # Is the header compilable?
> > +{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
> > +echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
> > +cat >conftest.$ac_ext <<_ACEOF
> > /* confdefs.h. */
> > _ACEOF
> > cat confdefs.h >>conftest.$ac_ext
> > cat >>conftest.$ac_ext <<_ACEOF
> > /* end confdefs.h. */
> > -#include <stddef.h>
> > -
> > -
> > +$ac_includes_default
> > #include <$ac_header>
> > _ACEOF
> > rm -f conftest.$ac_objext
> > @@ -11004,19 +11268,106 @@ eval "echo \"\$as_me:$LINENO: $ac_try_ec
> > ac_status=$?
> > echo "$as_me:$LINENO: \$? = $ac_status" >&5
> > (exit $ac_status); }; }; then
> > - eval "$as_ac_Header=yes"
> > + ac_header_compiler=yes
> > else
> > echo "$as_me: failed program was:" >&5
> > sed 's/^/| /' conftest.$ac_ext >&5
> >
> > - eval "$as_ac_Header=no"
> > + ac_header_compiler=no
> > fi
> >
> > rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
> > +{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
> > +echo "${ECHO_T}$ac_header_compiler" >&6; }
> > +
> > +# Is the header present?
> > +{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
> > +echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
> > +cat >conftest.$ac_ext <<_ACEOF
> > +/* confdefs.h. */
> > +_ACEOF
> > +cat confdefs.h >>conftest.$ac_ext
> > +cat >>conftest.$ac_ext <<_ACEOF
> > +/* end confdefs.h. */
> > +#include <$ac_header>
> > +_ACEOF
> > +if { (ac_try="$ac_cpp conftest.$ac_ext"
> > +case "(($ac_try" in
> > + *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
> > + *) ac_try_echo=$ac_try;;
> > +esac
> > +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
> > + (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
> > + ac_status=$?
> > + grep -v '^ *+' conftest.er1 >conftest.err
> > + rm -f conftest.er1
> > + cat conftest.err >&5
> > + echo "$as_me:$LINENO: \$? = $ac_status" >&5
> > + (exit $ac_status); } >/dev/null; then
> > + if test -s conftest.err; then
> > + ac_cpp_err=$ac_cxx_preproc_warn_flag
> > + ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
> > + else
> > + ac_cpp_err=
> > + fi
> > +else
> > + ac_cpp_err=yes
> > +fi
> > +if test -z "$ac_cpp_err"; then
> > + ac_header_preproc=yes
> > +else
> > + echo "$as_me: failed program was:" >&5
> > +sed 's/^/| /' conftest.$ac_ext >&5
> > +
> > + ac_header_preproc=no
> > +fi
> > +
> > +rm -f conftest.err conftest.$ac_ext
> > +{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
> > +echo "${ECHO_T}$ac_header_preproc" >&6; }
> > +
> > +# So? What about this header?
> > +case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag
> in
> > + yes:no: )
> > + { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the
> compiler, rejected by the preprocessor!" >&5
> > +echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected
> by the preprocessor!" >&2;}
> > + { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the
> compiler's result" >&5
> > +echo "$as_me: WARNING: $ac_header: proceeding with the compiler's
> result" >&2;}
> > + ac_header_preproc=yes
> > + ;;
> > + no:yes:* )
> > + { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be
> compiled" >&5
> > +echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
> > + { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing
> prerequisite headers?" >&5
> > +echo "$as_me: WARNING: $ac_header: check for missing prerequisite
> headers?" >&2;}
> > + { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf
> documentation" >&5
> > +echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
> > + { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present
> But Cannot Be Compiled\"" >&5
> > +echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be
> Compiled\"" >&2;}
> > + { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the
> preprocessor's result" >&5
> > +echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's
> result" >&2;}
> > + { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the
> compiler will take precedence" >&5
> > +echo "$as_me: WARNING: $ac_header: in the future, the compiler will
> take precedence" >&2;}
> > + ( cat <<\_ASBOX
> > +## ------------------------------------ ##
> > +## Report this to http://llvm.org/bugs/ ##
> > +## ------------------------------------ ##
> > +_ASBOX
> > + ) | sed "s/^/$as_me: WARNING: /" >&2
> > + ;;
> > +esac
> > +{ echo "$as_me:$LINENO: checking for $ac_header" >&5
> > +echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
> > +if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; };
> then
> > + echo $ECHO_N "(cached) $ECHO_C" >&6
> > +else
> > + eval "$as_ac_Header=\$ac_header_preproc"
> > fi
> > ac_res=`eval echo '${'$as_ac_Header'}'`
> > { echo "$as_me:$LINENO: result: $ac_res" >&5
> > echo "${ECHO_T}$ac_res" >&6; }
> > +
> > +fi
> > if test `eval echo '${'$as_ac_Header'}'` = yes; then
> > cat >>confdefs.h <<_ACEOF
> > #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
> > @@ -11037,7 +11388,6 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
> >
> >
> >
> > -
> > for ac_header in dlfcn.h execinfo.h fcntl.h inttypes.h link.h
> > do
> > as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
> > @@ -19411,6 +19761,7 @@ USE_INTEL_JITEVENTS!$USE_INTEL_JITEVENTS
> > XML2CONFIG!$XML2CONFIG$ac_delim
> > LIBXML2_LIBS!$LIBXML2_LIBS$ac_delim
> > LIBXML2_INC!$LIBXML2_INC$ac_delim
> > +CXXCPP!$CXXCPP$ac_delim
> > HAVE_PTHREAD!$HAVE_PTHREAD$ac_delim
> > HAVE_LIBZ!$HAVE_LIBZ$ac_delim
> > HUGE_VAL_SANITY!$HUGE_VAL_SANITY$ac_delim
> > @@ -19435,7 +19786,7 @@ LIBOBJS!$LIBOBJS$ac_delim
> > LTLIBOBJS!$LTLIBOBJS$ac_delim
> > _ACEOF
> >
> > - if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` =
> 96; then
> > + if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` =
> 97; then
> > break
> > elif $ac_last_try; then
> > { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
> >
> >
> > _______________________________________________
> > llvm-commits mailing list
> > llvm-commits at cs.uiuc.edu
> > http://lists.cs.uiuc.edu/mailman/listinfo/llvm-commits
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.llvm.org/pipermail/llvm-commits/attachments/20141027/a111c09b/attachment.html>
More information about the llvm-commits
mailing list